group member with no permission can see edit/delete buttons in journal group screen

Bug #1666685 reported by Cecilia Vela Gurovic on 2017-02-21
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Cecilia Vela Gurovic

Bug Description

In a group where the Create/Edit permissions are restricted to admin or staff members, in the "Journals" screen a normal member can see the create, edit, delete buttons. If they click on them, they are redirected to a page with "Access denied" message.

It is better, in the "Journals" screen of the group, that we don't show the buttons if the member has no permission to use them. The same as we already do in the "Pages" screen of the group.

Changed in mahara:
assignee: nobody → Cecilia Vela Gurovic (ceciliavg)
milestone: none → 17.04.0
summary: - group memeber with no permission can see edit/delete buttons in journal
+ group member with no permission can see edit/delete buttons in journal
group screen
Changed in mahara:
status: New → In Progress
Changed in mahara:
importance: Undecided → High

Reviewed: https://reviews.mahara.org/7479
Committed: https://git.mahara.org/mahara/mahara/commit/cf735e83929a362a3b4c07ced9e0de7ba112798c
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit cf735e83929a362a3b4c07ced9e0de7ba112798c
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Feb 23 16:26:48 2017 +1300

Bug 1666685: hide buttons from users with no access to group journal

When a member/tutor dont have access to edit or create
in the group, the buttons to edit, publish, create entry,
create journal, delete, are hidden.

Also, when a group edit/create access permission is
changed, we update the role permissions for each
blog and blogpost artefact in the group.

behatnotneeded

Change-Id: Ic06fbc7112f14a6038cdb0bb3beb8f93aed6f633

Robert Lyon (robertl-9) on 2017-03-28
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/8089
Committed: https://git.mahara.org/mahara/mahara/commit/912600e165cff08c2806f6212683d01735f9935d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 912600e165cff08c2806f6212683d01735f9935d
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 16:09:35 2017 +1300

Bug 1720269: old_raw patches for bugs: (groups)

Bug 1714830
Bug 1696696
Bug 1681952
Bug 1666685

behatnotneeded

Change-Id: I4ffbabb28cc00451760134b478758a5c20b86819

Reviewed: https://reviews.mahara.org/8098
Committed: https://git.mahara.org/mahara/mahara/commit/96d9cdc77833bf039d6a6680080fc94dc93c9468
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 96d9cdc77833bf039d6a6680080fc94dc93c9468
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Oct 4 16:09:35 2017 +1300

Bug 1720269: old_raw patches for bugs: (groups)

Bug 1714830
Bug 1696696
Bug 1681952
Bug 1666685

behatnotneeded

Change-Id: I4ffbabb28cc00451760134b478758a5c20b86819
(cherry picked from commit 912600e165cff08c2806f6212683d01735f9935d)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers